#include <iostream>
#include <bits/stdc++.h>
 
using namespace std;

int main()
{
	int n,q,x;
	bool s=false;
	cin >> n >> q;
	int a[n];
	int rez[q];
	for(int i=0;i<n;i++){cin >> a[i];}
	int duzina=sizeof(a)/(sizeof(a[0])),medijana=a[n/2+1];
	sort(a,a+duzina);
	for(int i=0;i<q;i++)
	{
		cin >> x;
		if(x>a[n-1] || x<a[0]){rez[i]=n;}
		else if(x==a[n/2]){rez[i]=0;}
		else{
			
			for(int j=0;j<n;j++)
			{
				if(x<=a[j])
				{
					if(x>a[n/2])
					{
						int elementiIza=j,elementiIspred=n-j;
						rez[i]=abs(elementiIspred-elementiIza);
					}
					else{
						if(x!=a[j]){j--;}
						int elementiIza=j,elementiIspred=n-j;
						rez[i]=abs(elementiIspred-elementiIza)-1;
					}
					break;
				}
			}
		}
	}
	for(int i=0;i<q;i++)
	{
		cout << rez[i] << endl;
	}
	return 0;
}